// GET /v1/b2b/organizations/{organization_id}/connected_apps
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
};
const options = {
authorization: {
session_token: '${sessionToken}',
},
};
client.Organizations.ConnectedApps(params, options)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });// GET /v1/b2b/organizations/{organization_id}/connected_apps
package main
import (
"context"
"log"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/b2bstytchapi"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/organizations"
"github.com/stytchauth/stytch-go/v18/stytch/methodoptions"
)
func main() {
client, err := b2bstytchapi.NewClient(
"${projectId}",
"${secret}",
)
if err != nil {
log.Fatalf("error instantiating client: %v", err)
}
params := &organizations.ConnectedAppsParams{
OrganizationID: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
}
options := &organizations.ConnectedAppsParamsOptions{
Authorization: methodoptions.Authorization{
SessionToken: "${sessionToken}",
},
}
resp, err := client.Organizations.ConnectedApps(context.Background(), params, options)
if err != nil {
log.Fatalf("error in method call: %v", err)
}
log.Println(resp)
}// GET /v1/b2b/organizations/{organization_id}/connected_apps
package com.example;
import com.stytch.java.b2b.models.organizations.ConnectedAppsRequest;
import com.stytch.java.b2b.models.organizations.ConnectedAppsRequestOptions;
import com.stytch.java.b2b.StytchB2BClient;
import com.stytch.java.common.methodoptions.Authorization;
import com.stytch.java.common.StytchResult;
public class Main {
public static void main(String[] args) {
StytchB2BClient.configure("${projectId}", "${secret}");
ConnectedAppsRequest params = new ConnectedAppsRequest();
params.setOrganizationId("organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931");
ConnectedAppsRequestOptions options = new ConnectedAppsRequestOptions();
Authorization authorization = new Authorization();
authorization.setSessionToken("${sessionToken}");
options.setAuthorization(authorization);
Object result = StytchB2BClient.getOrganizations().connectedApps(params, options);
if (result instanceof StytchResult.Success) {
System.out.println(((StytchResult.Success) result).getValue());
} else {
System.out.println(((StytchResult.Error) result).getException());
}
}
}// GET /v1/b2b/organizations/{organization_id}/connected_apps
package com.example
import com.stytch.java.b2b.StytchB2BClient
import com.stytch.java.b2b.models.organizations.ConnectedAppsRequest
import com.stytch.java.b2b.models.organizations.ConnectedAppsRequestOptions
import com.stytch.java.common.methodoptions.Authorization
fun main() {
StytchB2BClient.configure(
projectId = "${projectId}",
secret = "${secret}",
)
when (
val result =
StytchB2BClient.organizations.connectedApps(
ConnectedAppsRequest(
organizationId = "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
),
ConnectedAppsRequestOptions(
Authorization(
sessionToken = "${sessionToken}",
),
),
)
) {
is StytchResult.Success -> println(result.value)
is StytchResult.Error -> println(result.exception)
}
}// GET /v1/b2b/organizations/{organization_id}/connected_apps
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
};
const options = {
authorization: {
session_token: '${sessionToken}',
},
};
client.organizations.connectedApps(params, options)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });$response = $client->organizations->connected_apps([
'organization_id' => 'organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931',
], [
'authorization' => ['session_token' => '${sessionToken}'],
]);# GET /v1/b2b/organizations/{organization_id}/connected_apps
from stytch import B2BClient
from stytch.b2b.models.organizations import ConnectedAppsRequestOptions
from stytch.shared.method_options import Authorization
client = B2BClient(
project_id="${projectId}",
secret="${secret}",
)
resp = client.organizations.connected_apps(
organization_id="organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
method_options=ConnectedAppsRequestOptions(
authorization=Authorization(
session_token="${sessionToken}",
),
),
)
print(resp)# frozen_string_literal: true
# GET /v1/b2b/organizations/{organization_id}/connected_apps
require 'stytch'
client = StytchB2B::Client.new(
project_id: "${projectId}",
secret: "${secret}"
)
resp = client.organizations.connected_apps(
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
method_options: StytchB2B::Organizations::ConnectedAppsRequestOptions.new(
authorization: Stytch::MethodOptions::Authorization.new(session_token: '${sessionToken}')
)
)
puts resp// GET /v1/b2b/organizations/{organization_id}/connected_apps
use stytch::b2b::client::Client;
use stytch::b2b::organizations::ConnectedAppsRequest;
fn main() {
let client = Client::new("${projectId}", "${secret}").unwrap();
let resp = client.organizations.connected_apps(
ConnectedAppsRequest{
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
..Default::default()
}
).await;
println!("The response is {:?}", resp);
}# GET /v1/b2b/organizations/{organization_id}/connected_apps
curl --request GET \
--url https://test.stytch.com/v1/b2b/organizations/organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931/connected_apps \
-u '${projectId}:${secret}' \
-H 'Content-Type: application/json' \
-H "X-Stytch-Member-Session: ${sessionToken}"{
"request_id": "<string>",
"connected_apps": [
{
"connected_app_id": "<string>",
"name": "<string>",
"description": "<string>",
"client_type": "<string>",
"logo_url": "<string>"
}
],
"status_code": 123
}{
"status_code": 401,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "unauthorized_credentials",
"error_message": "Unauthorized credentials.",
"error_url": "https://stytch.com/docs/api/errors/401"
}{
"status_code": 429,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "too_many_requests",
"error_message": "Too many requests have been made.",
"error_url": "https://stytch.com/docs/api/errors/429"
}{
"status_code": 500,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "internal_server_error",
"error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
"error_url": "https://stytch.com/docs/api/errors/500"
}Get Authorized Connected Apps for an Organization
Get a list of Connected Apps for the Organization.
// GET /v1/b2b/organizations/{organization_id}/connected_apps
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
};
const options = {
authorization: {
session_token: '${sessionToken}',
},
};
client.Organizations.ConnectedApps(params, options)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });// GET /v1/b2b/organizations/{organization_id}/connected_apps
package main
import (
"context"
"log"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/b2bstytchapi"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/organizations"
"github.com/stytchauth/stytch-go/v18/stytch/methodoptions"
)
func main() {
client, err := b2bstytchapi.NewClient(
"${projectId}",
"${secret}",
)
if err != nil {
log.Fatalf("error instantiating client: %v", err)
}
params := &organizations.ConnectedAppsParams{
OrganizationID: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
}
options := &organizations.ConnectedAppsParamsOptions{
Authorization: methodoptions.Authorization{
SessionToken: "${sessionToken}",
},
}
resp, err := client.Organizations.ConnectedApps(context.Background(), params, options)
if err != nil {
log.Fatalf("error in method call: %v", err)
}
log.Println(resp)
}// GET /v1/b2b/organizations/{organization_id}/connected_apps
package com.example;
import com.stytch.java.b2b.models.organizations.ConnectedAppsRequest;
import com.stytch.java.b2b.models.organizations.ConnectedAppsRequestOptions;
import com.stytch.java.b2b.StytchB2BClient;
import com.stytch.java.common.methodoptions.Authorization;
import com.stytch.java.common.StytchResult;
public class Main {
public static void main(String[] args) {
StytchB2BClient.configure("${projectId}", "${secret}");
ConnectedAppsRequest params = new ConnectedAppsRequest();
params.setOrganizationId("organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931");
ConnectedAppsRequestOptions options = new ConnectedAppsRequestOptions();
Authorization authorization = new Authorization();
authorization.setSessionToken("${sessionToken}");
options.setAuthorization(authorization);
Object result = StytchB2BClient.getOrganizations().connectedApps(params, options);
if (result instanceof StytchResult.Success) {
System.out.println(((StytchResult.Success) result).getValue());
} else {
System.out.println(((StytchResult.Error) result).getException());
}
}
}// GET /v1/b2b/organizations/{organization_id}/connected_apps
package com.example
import com.stytch.java.b2b.StytchB2BClient
import com.stytch.java.b2b.models.organizations.ConnectedAppsRequest
import com.stytch.java.b2b.models.organizations.ConnectedAppsRequestOptions
import com.stytch.java.common.methodoptions.Authorization
fun main() {
StytchB2BClient.configure(
projectId = "${projectId}",
secret = "${secret}",
)
when (
val result =
StytchB2BClient.organizations.connectedApps(
ConnectedAppsRequest(
organizationId = "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
),
ConnectedAppsRequestOptions(
Authorization(
sessionToken = "${sessionToken}",
),
),
)
) {
is StytchResult.Success -> println(result.value)
is StytchResult.Error -> println(result.exception)
}
}// GET /v1/b2b/organizations/{organization_id}/connected_apps
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
};
const options = {
authorization: {
session_token: '${sessionToken}',
},
};
client.organizations.connectedApps(params, options)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });$response = $client->organizations->connected_apps([
'organization_id' => 'organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931',
], [
'authorization' => ['session_token' => '${sessionToken}'],
]);# GET /v1/b2b/organizations/{organization_id}/connected_apps
from stytch import B2BClient
from stytch.b2b.models.organizations import ConnectedAppsRequestOptions
from stytch.shared.method_options import Authorization
client = B2BClient(
project_id="${projectId}",
secret="${secret}",
)
resp = client.organizations.connected_apps(
organization_id="organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
method_options=ConnectedAppsRequestOptions(
authorization=Authorization(
session_token="${sessionToken}",
),
),
)
print(resp)# frozen_string_literal: true
# GET /v1/b2b/organizations/{organization_id}/connected_apps
require 'stytch'
client = StytchB2B::Client.new(
project_id: "${projectId}",
secret: "${secret}"
)
resp = client.organizations.connected_apps(
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
method_options: StytchB2B::Organizations::ConnectedAppsRequestOptions.new(
authorization: Stytch::MethodOptions::Authorization.new(session_token: '${sessionToken}')
)
)
puts resp// GET /v1/b2b/organizations/{organization_id}/connected_apps
use stytch::b2b::client::Client;
use stytch::b2b::organizations::ConnectedAppsRequest;
fn main() {
let client = Client::new("${projectId}", "${secret}").unwrap();
let resp = client.organizations.connected_apps(
ConnectedAppsRequest{
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
..Default::default()
}
).await;
println!("The response is {:?}", resp);
}# GET /v1/b2b/organizations/{organization_id}/connected_apps
curl --request GET \
--url https://test.stytch.com/v1/b2b/organizations/organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931/connected_apps \
-u '${projectId}:${secret}' \
-H 'Content-Type: application/json' \
-H "X-Stytch-Member-Session: ${sessionToken}"{
"request_id": "<string>",
"connected_apps": [
{
"connected_app_id": "<string>",
"name": "<string>",
"description": "<string>",
"client_type": "<string>",
"logo_url": "<string>"
}
],
"status_code": 123
}{
"status_code": 401,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "unauthorized_credentials",
"error_message": "Unauthorized credentials.",
"error_url": "https://stytch.com/docs/api/errors/401"
}{
"status_code": 429,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "too_many_requests",
"error_message": "Too many requests have been made.",
"error_url": "https://stytch.com/docs/api/errors/429"
}{
"status_code": 500,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "internal_server_error",
"error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
"error_url": "https://stytch.com/docs/api/errors/500"
}first_party_connected_apps_allowed_type or third_party_connected_apps_allowed_type policies.Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Headers
A Stytch session that can be used to run the request with the given member's permissions.
A Stytch Session JSON Web Token (JWT) that can be used to run the request with the given member's permissions.
Path Parameters
Globally unique UUID that identifies a specific Organization. The organization_id is critical to perform operations on an Organization, so be sure to preserve this value. You may also use the organization_slug or organization_external_id here as a convenience.
Response
Successful response
Globally unique UUID that is returned with every API call. This value is important to log for debugging purposes; we may ask for this value to help identify a specific API call when helping you debug an issue.
Show child attributes
Show child attributes